﻿/*  _____ _______         _                      _
     * |_   _|__   __|       | |                    | |
     *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
     *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
     *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
     * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
     *                                _
     *              ___ ___ ___ _____|_|_ _ _____
     *             | . |  _| -_|     | | | |     |  LICENCE
     *             |  _|_| |___|_|_|_|_|___|_|_|_|
     *             |_|
     *
     * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
     *
     * Tento zdrojový kód je součástí výukových seriálů na
     * IT sociální síti WWW.ITNETWORK.CZ
     *
     * Kód spadá pod licenci prémiového obsahu a vznikl díky podpoře
     * našich členů. Je určen pouze pro osobní užití a nesmí být šířen.
     * Více informací na https://www.itnetwork.cz/licence
     */


namespace UpominacNarozenin
{
	public class Osoba
	{
		public string Jmeno { get; set; } 
		public DateTime Narozeniny { get; set; }

		public Osoba(string jmeno, DateTime narozeniny)
		{
			Jmeno = jmeno;
			Narozeniny = narozeniny;
		}

		public int Vek
		{
			get
			{
				DateTime dnes = DateTime.Today;
				int vek = dnes.Year - Narozeniny.Year;
				if (dnes < Narozeniny.AddYears(vek))
					vek--;
				return vek;
			}
		}

		public int ZbyvaDni
		{
			get
			{
				_ = DateTime.Today;
				DateTime dalsiNarozeniny = Narozeniny.AddYears(Vek + 1);

				TimeSpan rozdil = dalsiNarozeniny - DateTime.Today;

				return Convert.ToInt32(rozdil.TotalDays);
			}
		}

		public override string ToString()
		{
			return Jmeno;
		}
	}
}
